<?php
/**
 * Plugin Name: Remove WooCommerce Nag
 * Plugin URI: https://devanswers.co/remove-woocommerce-nag/
 * Description: Gets rid of nag: "Connect your store to WooCommerce.com to receive extensions updates and support."
 * Version: 1
 * Author: DevAnswers
 * Author URI: https://devanswers.co/
 */
if ( !class_exists( 'RemoveWooCommerceNag') ) :
    class RemoveWooCommerceNag {
        public function __construct() {
            add_action( 'plugins_loaded', array( $this, 'plugins_loaded' ) );
        }
        public function plugins_loaded() {
            if ( is_admin() ) {
                add_filter( 'woocommerce_helper_suppress_admin_notices', '__return_true' );
            }
        }
    }
    $GLOBALS['RemoveWooCommerceNag'] = new RemoveWooCommerceNag();
endif;